%define mod_name mod_bw

Name:		apache-%{mod_name}
Version:	0.92
Release:	%mkrel 10
Summary:    Bandwidth administration module for Apache HTTPD
Group:		System/Servers
License:	Apache License
URL:		http://www.ivn.cl/apache/
Source0: 	https://prdownloads.sourceforge.net/bwmod/mod_bw-%{version}.tgz
Source1:	mod_bw.conf
Source2:	bw.conf
Patch0:     mod_bw-httpd24.patch
Requires:	apache
BuildRequires:	apache-devel
Epoch:		1

%description
mod_bw is a bandwidth administration module for Apache HTTPD 2.0.x

* Restrict the number of simultaneous connections per vhost/dir
* Limit the bandwidth for files on vhost/dir

%prep
%setup -q -c
%patch -P 0 -p 1

%build
%{_httpd_apxs} -c %{mod_name}.c

%install
install -d %{buildroot}%{_httpd_moddir}
%{_httpd_apxs} -i -S LIBEXECDIR=%{buildroot}%{_httpd_moddir} \
    -n %{mod_name} %{mod_name}.la

install -D -m 644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10_mod_bw.conf
install -D -m 644 %{SOURCE2} %{buildroot}%{_httpd_extconfdir}/bw.conf

%files
%doc ChangeLog LICENSE TODO mod_bw.txt
%config(noreplace) %{_httpd_modconfdir}/10_mod_bw.conf
%config(noreplace) %{_httpd_extconfdir}/bw.conf
%{_httpd_moddir}/mod_bw.so


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 1:0.92-10.mga10
+ Revision: 2127117
- Rebuild for patchN deprecation

* Tue Mar 15 2022 umeabot <umeabot> 1:0.92-9.mga9
+ Revision: 1792833
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1:0.92-8.mga8
+ Revision: 1508522
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1:0.92-7.mga7
+ Revision: 1294399
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1:0.92-6.mga6
+ Revision: 940455
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.92-5.mga5
+ Revision: 750780
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.92-4.mga5
+ Revision: 677837
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.92-3.mga4
+ Revision: 502538
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:0.92-2.mga3
+ Revision: 345843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 guillomovitch <guillomovitch> 1:0.92-1.mga3
+ Revision: 280770
- new version
- adapt to new apache setup

* Mon Jul 09 2012 luigiwalser <luigiwalser> 1:0.8-12.mga3
+ Revision: 268960
- fix module configuration to work with systemd (mga #6714)

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:0.8-11.mga3
+ Revision: 223841
- httpd restart is handled by filetriggers now

* Fri Jan 20 2012 guillomovitch <guillomovitch> 1:0.8-10.mga2
+ Revision: 198769
- imported package apache-mod_bw

